Pulp 2.10.3 is now Generally Available in the stable repositories:

  https://repos.fedorapeople.org/repos/pulp/pulp/stable/2.10/

This release includes bug fixes for the Pulp Platform, and the RPM Plugin.


Upgrading
=========

The Pulp 2 stable repository is included in the pulp repo files:
https://repos.fedorapeople.org/repos/pulp/pulp/fedora-pulp.repo for fedora 23 & 
24
https://repos.fedorapeople.org/repos/pulp/pulp/rhel-pulp.repo for RHEL 6 & 7

After enabling the pulp-2-stable repository, you'll want to follow the standard
upgrade path with migrations:

> $ sudo systemctl stop httpd pulp_workers pulp_resource_manager pulp_celerybeat
> $ sudo yum upgrade
> $ sudo -u apache pulp-manage-db
> $ sudo systemctl start httpd pulp_workers pulp_resource_manager 
> pulp_celerybeat


Issues Addressed
================

  Pulp
        2436    pulp-selinux RPM fails to run restorecon statements post install
        2195    can't sync unit that was previously uploaded
        2424    restorecon runs unecessarily for all 2.10+ upgrades
  RPM Support
        2354    Incorrect URL on lazy catalog entries created for existing RPM 
content units
        2372    updating importer ssl_client_cert to null fails with error
        2362    applicability calculation wastes time scanning a list
        2374    Can't skip distribution content during sync

View this list in Redmine:
http://bit.ly/2gai8Ue


el6 Known Issue Update
======================

In the beta announcement, I mentioned that the el6 test suite was indicating 
that
this release might be unstable for that platform.

The el6 release has since been verified as working and cleared for release, as 
reported here:
https://pulp.plan.io/projects/pulp/wiki/Pulp_2_10_3_Test_Result_Summary

Thanks to everyone involved in this investigation.

_______________________________________________
Pulp-list mailing list
Pulp-list@redhat.com
https://www.redhat.com/mailman/listinfo/pulp-list

Reply via email to